! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

! Example 6.2. Arrays of character strings.
  program G02
    implicit none
    integer, parameter :: LN = 10, ARRAY_SIZE = 5
    character (len = LN), dimension(ARRAY_SIZE) :: Amino_Acids, Compounds
! start program G02
    Amino_Acids(1) = "Glycine   "
    Amino_Acids(2) = "Alanine   "
    Amino_Acids(3) = "Valine    "
    Amino_Acids(4) = "Leucine   "
    Amino_Acids(5) = "Tyrosine  "
    Compounds(1) = "Phenol    "
    write (unit = *, fmt = *) Amino_Acids, Compounds(1)
    stop
  end program G02
